NGramGenerator (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.ngram, class: NGramGenerator

# Class NGramGenerator

java.lang.Object
opennlp.tools.ngram.NGramGenerator

public class NGramGenerator extends Object
Generates an nGram, via an optional separator, and returns the grams as a list of strings

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NGramGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<String>`
  `generate(char[] input, int n, String separator)`
  Generates nGrams based on a `char[]` input.
  `static List<String>`
  `generate(List<String> input, int n, String separator)`
  Creates nGrams separated by the separator param value i.e.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NGramGenerator

    public NGramGenerator()

- ## Method Details

  - ### generate

    public static List<String> generate(List<String> input, int n, String separator)
    Creates nGrams separated by the separator param value i.e. `a,b,c,d` with `n = 3` and a separator as `"-"` would return `a-b-c,b-c-d`.
    Parameters:
      `input` - the input tokens the output ngrams will be derived from
      `n` - the number of tokens as the sliding window
      `separator` - each string in each gram will be separated by this value if desired. Pass in empty string if no separator is desired
    Returns:
      The generated list of resulting nGrams.

  - ### generate

    public static List<String> generate(char[] input, int n, String separator)
    Generates nGrams based on a `char[]` input.
    Parameters:
      `input` - the array of chars to convert to nGram
      `n` - The number of grams (chars) that each output gram will consist of
      `separator` - each char in each gram will be separated by this value if desired. Pass in empty string if no separator is desired
    Returns:
      The generated list of resulting nGrams.